Bug 1430542 - [RFE] Service Dialog drop-down field should support multi-select option
Summary: [RFE] Service Dialog drop-down field should support multi-select option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.2
Assignee: drew uhlmann
QA Contact: Shveta
URL:
Whiteboard: service
Depends On: 1428552
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-08 21:54 UTC by Satoe Imaishi
Modified: 2021-03-11 15:01 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1428552
Environment:
Last Closed: 2017-04-12 14:44:19 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-20 17:00:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a21cb2147654f231b25046c14f37137472c81a0d

commit a21cb2147654f231b25046c14f37137472c81a0d
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Feb 16 08:59:29 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 20 12:14:51 2017 -0400

    Merge pull request #10270 from d-m-u/multiselect
    
    Add multiselect option to dropdowns
    (cherry picked from commit fd5e8acce71d53b28360eeb0167eed0f151e7df3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1430542

 app/models/dialog.rb                            |  12 +-
 app/models/dialog_field_drop_down_list.rb       |  49 ++++++++
 spec/models/dialog_field_drop_down_list_spec.rb | 143 ++++++++++++++++++------
 3 files changed, 166 insertions(+), 38 deletions(-)

Comment 3 CFME Bot 2017-03-20 17:21:05 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a728abb1763dfa2793ef5784a4dd4a88717790f1

commit a728abb1763dfa2793ef5784a4dd4a88717790f1
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Mar 3 10:00:04 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 20 13:14:19 2017 -0400

    Merge pull request #114 from d-m-u/multiselect
    
    Multiselect
    (cherry picked from commit 4008a47f0abb3920a45ad874084b7fd1b505a583)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1430542

 .../miq_ae_customization_controller/dialogs.rb     |  17 +++
 app/helpers/application_helper/dialogs.rb          |   5 +-
 .../_dialog_field_form.html.haml                   |  13 ++-
 ...dialog_field_form_non_dynamic_options.html.haml |   2 +-
 .../miq_ae_customization/_dialog_sample.html.haml  |  10 +-
 .../dialogs/_dialog_field_drop_down_list.html.haml |   6 +-
 .../dialogs_spec.rb                                | 129 ++++++++++++++++++++-
 spec/helpers/application_helper/dialogs_spec.rb    |  11 +-
 8 files changed, 180 insertions(+), 13 deletions(-)

Comment 4 Shveta 2017-03-24 05:16:48 UTC
Verified in 5.7.2.0.20170321181409_349f1b1

Comment 5 errata-xmlrpc 2017-04-12 14:44:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.